/* -*-C-*-
*******************************************************************************
*
* File:         PGP.h
* RCS:          /usr/local/sources/CVS/EnhanceMail/PGP.h,v 1.8 1998/06/07 21:32:45 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Thu Apr 23 17:41:46 1998 Tom Hageman
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>

#define PGP_VERSION_5_0	50
#define PGP_VERSION_5	PGP_VERSION_5_0
#define PGP_VERSION_2_6	26
#define PGP_VERSION_2_3	23

@class SimpleString;

@interface EnhancePGP : Object
{
   id passPanel;
   id userField;
   id passField;
   
   id errPanel;
   id errText;
   id errDefaultButton;
   id errNonDefaultButton;

   time_t passTime;
   time_t passEnterTime;
   BOOL prevPassAsk;
}

+ new;

- (int)handleError:(const char *)err ok:(BOOL)defok;

- getUser:(const char **)user pass:(const char **)pass forEncoding:(BOOL)encode;
- clobberPass;

- reenter:sender;
- ok:sender;
- cancel:sender;

- (int)runPGP:(SimpleString *)In to:(SimpleString *)Out error:(SimpleString *)Err args:(const char **)argv pass:(const char *)pass;
- (BOOL)grabKey:(const char *)keyid;
- (BOOL)encodePGP:(MailMessage *)mes to:(StringList *)rcpt sign:(BOOL)sign encrypt:(BOOL)encrypt;
- (BOOL)decodePGP:(MailMessage *)mes;
@end
