/* -*-C-*-
*******************************************************************************
*
* File:         SimpleString.h
* RCS:          /usr/local/sources/CVS/EnhanceMail/SimpleString.h,v 1.7 1998/04/23 15:40:27 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Tue Oct 17 23:45:19 1995
* Modified:     Sat Jun 22 19:07:04 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>

@interface SimpleString:Object
{
   char *data;
   char *cur;
}
- init;
- free;
- grow;
- (char *)string;
- (int)length;
- (int)textLength;
- empty;
- (int)appendChar:(char)c;
- (int)appendString:(const char *)str;
- (int)appendString:(const char *)str length:(int)len;
- (int)appendStream:(NXStream *)s;
- (int)appendFile:(int)fd;
- (int)writeFile:(int)fd;
- (int)appendSimpleString:(id)sstr;
- (int)appendAndFreeSimpleString:(id)sstr;
- (int)insertString:(const char *)str;
- (int)insertString:(const char *)str length:(int)len;
- (int)insertString:(const char *)str length:(int)len at:(int)pos;
- (int)delete:(int)len at:(int)pos;
- (int)lastChar;
@end
