/* -*-ObjC-*-
*******************************************************************************
*
* File:         Enumerator.h
* RCS:          Enumerator.h,v 1.1 1998/05/30 01:30:12 tom Exp
* Description:  Interface of EnhanceEnumerator class. (shades of NSEnumerator)
* Author:       Tom Hageman <tom@basil.icce.rug.nl>
* Created:      May 1998
* Modified:     
* Language:     Objective-C
* Package:      EnhanceMail
* Status:       Experimental
*
* Copyright (C) 1996-1998 Tom Hageman, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/
#import <objc/Object.h>
#import <objc/List.h>

// Abstract class.
@interface EnhanceEnumerator : Object
- nextObject;
@end


@interface List (EnhanceEnumerator)
- (EnhanceEnumerator *)enhanceObjectEnumerator;
- (EnhanceEnumerator *)enhanceReverseObjectEnumerator;
@end
